#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    int a[n][m];
    for(int i = 0; i < n; i++) for(int j = 0; j < m; j++) cin >> a[i][j];
    long long res = 0;
    int cnt[n + m - 1][30];
    for(int i = 0; i < n + m - 1; i++) for(int j = 0; j < 30; j++) cnt[i][j] = 0;
    for(int i = 0; i < n; i++) for(int j = 0; j < m; j++) for(int bit = 0; bit < 30; bit++) cnt[i + j][bit] ^= ((1 << bit) & a[i][j]);
    for(int bit = 0; bit < 30; bit++) {
        long long add = 0;
        for(int i = 0; i < n + m - 1; i++) add += cnt[i][bit];
        res += min(add, (n + m - 1) * 1LL * (1 << bit) - add);
    }
    cout << res;
    return 0;
}